Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.search.lucene
Class IndexRules.SkipRule

    java.lang.Object
      org.modeshape.search.lucene.IndexRules.SkipRule

All Implemented Interfaces:
  IndexRules.Rule

Enclosing class:
  IndexRules

    @Immutable
    protected static class IndexRules.SkipRule

extends Object
implements IndexRules.Rule

Constructor Summary
`protected` | `IndexRules.SkipRule()`

Method Summary
`boolean` | `canBeReference()`
`org.apache.lucene.document.Field.Index` | `getIndexOption()`
`org.apache.lucene.document.Field.Store` | `getStoreOption()`
`IndexRules.FieldType` | `getType()`
`boolean` | `isFullTextSearchable()`
`boolean` | `isSkipped()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexRules.SkipRule

    protected IndexRules.SkipRule()

Method Detail

### getType

    public IndexRules.FieldType getType()

  Specified by:
    `getType` in interface `IndexRules.Rule`
  See Also:
    `IndexRules.Rule.getType()`

### isSkipped

    public boolean isSkipped()

  Specified by:
    `isSkipped` in interface `IndexRules.Rule`
  See Also:
    `IndexRules.Rule.isSkipped()`

### isFullTextSearchable

    public boolean isFullTextSearchable()

  Specified by:
    `isFullTextSearchable` in interface `IndexRules.Rule`
  See Also:
    `IndexRules.Rule.isFullTextSearchable()`

### canBeReference

    public boolean canBeReference()

  Specified by:
    `canBeReference` in interface `IndexRules.Rule`
  See Also:
    `IndexRules.Rule.canBeReference()`

### getIndexOption

    public org.apache.lucene.document.Field.Index getIndexOption()

  Specified by:
    `getIndexOption` in interface `IndexRules.Rule`
  See Also:
    `IndexRules.Rule.getIndexOption()`

### getStoreOption

    public org.apache.lucene.document.Field.Store getStoreOption()

  Specified by:
    `getStoreOption` in interface `IndexRules.Rule`
  See Also:
    `IndexRules.Rule.getStoreOption()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.